Jack2 1.9.21

Public Attributes | List of all members
jack_ringbuffer_t Struct Reference

## Public Attributes
char * | buf
volatile size_t | write_ptr
volatile size_t | read_ptr
size_t | size
size_t | size_mask
int | mlocked

## Detailed Description

Definition at line 51 of file ringbuffer.h.

## Member Data Documentation

## ◆ buf

char* jack_ringbuffer_t::buf

Definition at line 52 of file ringbuffer.h.

## ◆ write_ptr

volatile size_t jack_ringbuffer_t::write_ptr

Definition at line 53 of file ringbuffer.h.

## ◆ read_ptr

volatile size_t jack_ringbuffer_t::read_ptr

Definition at line 54 of file ringbuffer.h.

## ◆ size

size_t jack_ringbuffer_t::size

Definition at line 55 of file ringbuffer.h.

## ◆ size_mask

size_t jack_ringbuffer_t::size_mask

Definition at line 56 of file ringbuffer.h.

## ◆ mlocked

int jack_ringbuffer_t::mlocked

Definition at line 57 of file ringbuffer.h.

The documentation for this struct was generated from the following file:

- ringbuffer.h